List campaigns
List campaigns in the workspace with optional filtering by status, search, sorting, and pagination.
Path parameters
org_id
workspace_id
Query parameters
campaign_status
Campaign lifecycle status: scheduled → active → ended. Can be paused or cancelled at any point.
Allowed values:
offset
Number of records to skip
limit
Number of records to return (max 100)
sort_by
Field to sort by
sort_order
Sort order (asc or desc)
search
Search query string
Response
Successful Response
items
List of campaigns on this page
total
Total number of campaigns matching the query
limit
Maximum number of items per page
offset
Number of items skipped
next_page_uri
URI to fetch the next page, or null if this is the last page
prev_page_uri
URI to fetch the previous page, or null if this is the first page
Errors
422
Unprocessable Entity Error